Bug 481202 - Experiencing large number of errors when performing RHEL 5.3 Upgrade
Experiencing large number of errors when performing RHEL 5.3 Upgrade
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 13:40 EST by Everett Bennett
Modified: 2010-11-09 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 13:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Finally seeing a normal screen warning message after 20 minutes of errors. (106.71 KB, image/jpeg)
2009-01-22 13:40 EST, Everett Bennett
no flags Details
Searching for .... Installations (87.68 KB, image/jpeg)
2009-01-22 14:12 EST, Everett Bennett
no flags Details
Trying to use rhel53 x86_64 dvd in rescue mode, i.e. linux rescue (136.44 KB, image/jpeg)
2009-03-31 16:04 EDT, Everett Bennett
no flags Details

  None (edit)
Description Everett Bennett 2009-01-22 13:40:31 EST
Created attachment 329727 [details]
Finally seeing a normal screen warning message after 20 minutes of errors.

Description of problem:

I am experiencing something different with RHEL 5.3.
This is on a IBM BladeCenter with 12 blade modules.
Eight of the blade modules are part of 8-node RHEL 5.2 Cluster
and four of the blade modules are part of a 4-node RHEL 5.3 Test
cluster.

I was trying to do an upgrade of RHEL 5.3 Beta to RHEL 5.3
using the DVD media.  The install boot is hanging on various
drivers :

- pdc
- asr
- ddf11

and drilling down through all shared scsi disks with
errors similar to this:

ERROR: pdc: reading /dev/sdNN [Input/Ouput Error]


Version-Release number of selected component (if applicable):

How can I skip this repetitive scan of the shared disks?

How reproducible:

Simply attempt to install Product.

Steps to Reproduce:
1. Boot off of DVD MEdia or boot.iso to do a network boot.
2.
3.
  
Actual results:

It took 20 minutes to get to the "Warning" prompts about initializing all data on various shared disks which of course I do not want touch, i.e., "NO".

Expected results:

Should only take a minute to get to this point.

Additional info:

Image attached.
Comment 1 Everett Bennett 2009-01-22 14:12:00 EST
Created attachment 329729 [details]
Searching for .... Installations
Comment 2 Everett Bennett 2009-01-22 14:30:28 EST
It should be noted that IBM's RDAC driver was installed in order to access an IBM DS4700 Disk Shelf while running RHEL 5.3 beta.


mppUtil              (1)  - RDAC (a.k.a. MPP) Driver Utility
sg_rdac              (8)  - Display or Modify RDAC Redundant Controller Page

ime3/root> ls -ld /usr/local/src/ibm.rdac/linuxrdac-09.03.0C05.0030
drwxr-xr-x 5 bin bin 4096 Nov 12 15:59 /usr/local/src/ibm.rdac/linuxrdac-09.03.0C05.0030
Comment 3 Everett Bennett 2009-01-28 09:59:21 EST
The IBM RDAC instructions say you should uninstall the RDAC driver from current kernel and then boot off of new kernel and reinstall RDAC driver.  This did not work as well.  The odd thing, I was unable to boot off of the RHEL5.2 DVD, RHEL 5.3 DVD, RHEL 5.2 boot.iso FTP, RHEL 5.3 boot.iso, etc.  So, I gave up and finally offlined all of the blade modules, offlined the DS4700 shared disks, before I could boot onto the RHEL 5.3 RC kernel. I have no idea why this is happening.  Before, the install cycle would simply prompt you and ask did you want to initialize each disk and continue.   It would be nice if there was a way to restrict the probe of the shared disks, regardless.
Comment 4 Ruediger Landmann 2009-03-16 00:34:33 EDT
Hi Everett,

You've filed this bug against the Red Hat Enterprise Linux Installation Guide -- in other words, as if it were a mistake in the documentation of the installation process rather than a problem with the process itself. I'm changing the component to "anaconda", the Red Hat Enterprise Linux installer.

Ruediger
Comment 5 Everett Bennett 2009-03-31 16:03:00 EDT
That's okay.   However, I am now trying to recover a IBM blade by booting of RHEL 5.3 x86_64 media via Memory Management software.....it's hanging on the shared disks..

Any comments or suggests?
Comment 6 Everett Bennett 2009-03-31 16:04:30 EDT
Created attachment 337397 [details]
Trying to use rhel53 x86_64 dvd in rescue mode, i.e. linux rescue
Comment 7 Everett Bennett 2009-05-07 14:24:53 EDT
Has anyone had a chance to review? Requesting an update.
Comment 8 Denise Dumas 2009-05-12 13:38:26 EDT
Hi Everett, you should work this through your normal support channel if it is a high priority. They can provide troubleshooting assistance.
Comment 9 Subhendu Ghosh 2010-06-04 13:16:57 EDT
Upgrading from a beta release is not supported.

Note You need to log in before you can comment on or make changes to this bug.